addpath '../../data'

var IP P RE EBP SPREAD_GOV;
 
varobs IP P RE EBP SPREAD_GOV;

svar_identification;
restriction equation 1, coeff(P,0)=0;
restriction equation 1, coeff(RE,0)=0;
restriction equation 1, coeff(EBP,0)=0;
restriction equation 1, coeff(SPREAD_GOV,0)=0;

restriction equation 2, coeff(RE,0)=0;
restriction equation 2, coeff(EBP,0)=0;
restriction equation 2, coeff(SPREAD_GOV,0)=0;

restriction equation 3, coeff(EBP,0)=0;
restriction equation 3, coeff(SPREAD_GOV,0)=0;

restriction equation 4, coeff(SPREAD_GOV,0)=0;

restriction equation 1, coeff(SPREAD_GOV,1)=0;
restriction equation 2, coeff(SPREAD_GOV,1)=0;
restriction equation 3, coeff(SPREAD_GOV,1)=0;
restriction equation 4, coeff(SPREAD_GOV,1)=0;

restriction equation 1, coeff(SPREAD_GOV,2)=0;
restriction equation 2, coeff(SPREAD_GOV,2)=0;
restriction equation 3, coeff(SPREAD_GOV,2)=0;
restriction equation 4, coeff(SPREAD_GOV,2)=0;

restriction equation 1, coeff(SPREAD_GOV,3)=0;
restriction equation 2, coeff(SPREAD_GOV,3)=0;
restriction equation 3, coeff(SPREAD_GOV,3)=0;
restriction equation 4, coeff(SPREAD_GOV,3)=0;

restriction equation 1, coeff(SPREAD_GOV,4)=0;
restriction equation 2, coeff(SPREAD_GOV,4)=0;
restriction equation 3, coeff(SPREAD_GOV,4)=0;
restriction equation 4, coeff(SPREAD_GOV,4)=0;
end;

markov_switching(chain=1, number_of_regimes=2, duration=25);
markov_switching(chain=2, number_of_regimes=2, duration=25);
svar(variances, equations=[1, 2, 3, 4], chain=1);
svar(coefficients, equations=[1, 2, 3, 4], chain=2);
 
ms_estimation(datafile=EAdata_1999M10_2016M6,
              freq=12, 
              initial_year=1999,
              final_year=2016,
              initial_subperiod=10,
              final_subperiod=6,
              nlags=4,
              coefficients_prior_hyperparameters=[0.7 0.3 0.1 1.0 2.0 2.0],
              max_repeated_optimization_runs=5,
              max_number_of_stages=5,
              number_of_large_perturbations=10,
              number_of_small_perturbations=10
              );

ms_compute_probabilities;
ms_simulation(mh_replic=50000,thinning_factor=100,save_draws);
