function s = bingen1(prob1)
% Random number drawn from a uniform distribution to generate St
%
% by Stphane Lhuissier, 2015

[~,n] = size(prob1);
prob = zeros(1,n);

% make sure sum(prob) = 1
for i_iter = 1:n
    prob(1,i_iter) = prob1(1,i_iter)/sum(prob1);
end

r = rand;
s = sum(r >= cumsum([0, prob]));

% Ex: the case for DIM=2
% pr0 = p0/(p0+p1);    % prob(s=0)
% u = rand(m,1); %generate a number from the uniform distribution
% s = u >= pr0;
