addpath 'C:\Users\lhuissier\ownCloud\Professional\RegimeShifts_Lhuissier\EER\data'

var IP P RE EBP;
 
varobs IP P RE EBP;

svar_identification;
lower_cholesky;
end;

markov_switching(chain=1, number_of_regimes=3, duration=25);
svar(variances, chain=1);

 
ms_estimation(datafile=EAdata_1999M10_2016M6,
              freq=12, 
              initial_year=1999,
              final_year=2016,
              initial_subperiod=10,
              final_subperiod=6,
              nlags=4,
              coefficients_prior_hyperparameters=[0.7 0.3 0.1 1.0 2.0 2.0],
              max_repeated_optimization_runs=5,
              max_number_of_stages=5,
              number_of_large_perturbations=10,
              number_of_small_perturbations=10
              );

ms_compute_probabilities;
ms_simulation(mh_replic=50000,thinning_factor=100,save_draws);

ms_compute_mdd(proposal_draws=30000000);